
D4Science Infrastructure - Upgrade #1073

Upgrade # 1069 (Closed): D4Science Infrastructure Upgrade to gCube 3.9.0

Ecosystem VO upgrade to gCube 3.9.0

Oct 19, 2015 12:52 PM - Massimiliano Assante

Status: Closed Start date: Oct 23, 2015

Priority: Urgent Due date: Oct 26, 2015

Assignee: Roberto Cirillo % Done: 100%

Target version: release 3.9 : upgrade in pre production   

Infrastructure: Pre-Production   

Description

This ticket keeps track of the D4Science infrastructure upgrades to gCube 3.9.0 for the Ecosystem Virtual Organisation

Subtasks:

Task # 1224: Add ServiceEndpoint for authorization service in pre production environment Closed

Task # 1225: Add ServiceEndpoint for accounting system in pre production environment Closed

Upgrade # 1256: Provide an upgrade script for upgrading GCore container Closed

Related issues:

Related to D4Science Infrastructure - Support #1214: create new VM for hostin... Closed Oct 22, 2015

History

#1 - Oct 23, 2015 10:14 AM - Roberto Cirillo

- Related to Support #1214: create new VM for hosting the authorization service in pre-production environment added

#2 - Oct 23, 2015 11:51 AM - Roberto Cirillo

- Target version changed from D4Science Infrastructure Upgrade to gCube 3.9.0 to release 3.9 : upgrade in pre production 

GHN to clean and upgrade to 6.0.0-distro

(CNR) DONE statistical-manager-pre.d4science.org

(CNR) DONE node7.p.d4science.research-infrastructures.eu (Registry service)

(CNR) DONE node10.p.d4science.research-infrastructures.eu (IS-IC service)

(CNR) DONE node55.p.d4science.research-infrastructures.eu

SmartGears upgrade to 1.2.5-distro

(CNR)DONE node56.p.d4science.research-infrastructures.eu

(CNR)DONE dl28.di.uoa.gr

(CNR) DONE auth-pre-d4s.d4science.org

gCore Services

(CNR) DONE statistical-manager-pre.d4science.org:8080 : update StatisticalManager service

(CNR) DONE node55.p.d4science.research-infrastructures.eu: Data-Transfer service replace lib vsf-provider-smp

SmartGears Services

(CNR)DONE node56.p.d4science.research-infrastructures.eu:8000 : upgrade TabularDataManager service

(CNR)DONE dl28.di.uoa.gr:9000: deploy new smart executor and smart generic worker plugin

(CNR)DONE auth-pre-d4s.d4science.org:8080 deploy "authorization service"

Apps

(CNR)DONE node84.p.d4science.research-infrastructures.eu: deploy new storage-manager-trigger for test the storage integration with new

accounting system

#3 - Oct 26, 2015 02:38 PM - Roberto Cirillo

- Status changed from New to Planned

#4 - Oct 29, 2015 03:18 PM - Roberto Cirillo

- Status changed from Planned to In Progress
#5 - Nov 03, 2015 12:58 PM - Roberto Cirillo

- Status changed from In Progress to Completed

#6 - Nov 04, 2015 07:04 PM - Roberto Cirillo

dl28.di.uoa.gr has been turned off because the OS is very old and it is not compatible with ansible playbook for installing R packages.

The new smart-executor for pre production is node78.d4science.org. This node has been upgraded with ansible (Smartgears and smart-executor)

and it has the same configuration that will be applied in production too

#7 - Jan 11, 2016 04:49 PM - Massimiliano Assante

- Status changed from Completed to Closed
